<template>
    <div class="default-main">
        <TableHeader datePicker > </TableHeader>
        <Table ref="tableRef" />
    </div>
</template>
<script setup lang="ts">
import { Plus } from '@element-plus/icons-vue'
import { ref, onMounted, provide } from 'vue'
import TableStore from '@/utils/tableStore'
import Table from '@/components/table/index.vue'
import TableHeader from '@/components/table/header/index.vue'

defineOptions({
    name: 'govern/log/push'
})
const tableStore = new TableStore({
    url: '/cs-device-boot/csEventSendMsg/queryLog',
    method: 'POST',
    column: [
        { title: '推送用户', field: 'userName', align: 'center' },
        { title: '推送内容', field: 'showName', align: 'center' },
        { title: '推送时间', field: 'sendTime', align: 'center', sortable: true },
    ]
})

provide('tableStore', tableStore)
tableStore.table.params.searchState = 0
onMounted(() => {
    tableStore.index()
})
const addMenu = () => {}
</script>